------------------------------------------------------------------------------------
--Name：            210321[简体征服][活动脚本]Anniversary Ticket抽奖+庆典地图引导
--Creator:      江宇君
--Created:     2021-03-21
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>146


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(227,131)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)

CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:AddEffect("CSGX_jin",363, 291)

local MQL  = CppScriptMgr:AddSimplePlayer(1063370, 227,131, "MichelinChef", 4003000001,1)
local QMLJ  = CppScriptMgr:AddSimplePlayer(1059667, 128,215, "Mr.No-face", 4003000002,1)
local XSS  = CppScriptMgr:AddSimplePlayer(49957, 131,215, "XuSusu", 4003000003,1)
local GD  = CppScriptMgr:AddSimplePlayer(25210, 237,307, "Kobe", 4003000004,1)
local TZ  = CppScriptMgr:AddSimplePlayer(25220, 236,302, "Jim", 4003000005,1)
local XL  = CppScriptMgr:AddSimplePlayer(25210, 241,299, "Drake", 4003000006,1)
local KSX  = CppScriptMgr:AddSimplePlayer(1063165, 237,312, "Flashman", 4003000007,1)
local BBS  = CppScriptMgr:AddSimplePlayer(1059700, 361,382, "Barbossa", 4003000008,1)
local CSM  = CppScriptMgr:AddSimplePlayer(31910, 363,291, "Golden Island Portal", 4003000009,1)

KSX:SetDir(5)
KSX:SetZoomPercent(150)

CppScriptMgr:WaitMilSec(1000)


-- GourmetArea
CppScriptMgr:NpcCallOut("In the Gourmet Area, you can eat whatever you like!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc29893", 150, 430, "CaptainJake", 250, 655)
MQL:Say("Try the world-class gourmet!", 2000)
CppScriptMgr:WaitMilSec(3000)


-- FlowerGarden
CppScriptMgr:SetViewPosByCell(128,215)
CppScriptMgr:NpcCallOut("This is the Flower Garden I prepared for you!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc29893", 150, 430, "CaptainJake", 250, 655)
QMLJ:Say("#49#49Susu, you are more adorable than flowers.", 2000)
CppScriptMgr:WaitMilSec(2000)
XSS:Say("#52#52You are so sweet!", 2000)
CppScriptMgr:WaitMilSec(3000)

-- 游乐区
CppScriptMgr:SetViewPosByCell(237,306)
CppScriptMgr:NpcCallOut("Welcome to Amusement Park. Have fun!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc29893", 150, 430, "CaptainJake", 250, 655)
KSX:Say("Queue up! Don`t hurry!",2000)
CppScriptMgr:WaitMilSec(2000)
GD:Say("I`m looking forward to it!", 2000)
CppScriptMgr:WaitMilSec(2000)
TZ:Say("It is said that it is really intriguing there!", 2000)
CppScriptMgr:WaitMilSec(2000)
XL:Say("Slow down! I can`t catch up!", 2000)
CppScriptMgr:WaitMilSec(3000)

-- GoldTree
CppScriptMgr:SetViewPosByCell(361,294)
CppScriptMgr:NpcCallOut("Don`t look down on the Gold Tree. It is the portal to Golden Island.\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc29893", 150, 430, "CaptainJake", 250, 655)
-- CppScriptMgr:AddEffect("accession", 361,294)
CppScriptMgr:WaitMilSec(3000)